/* --------------------------------------------------------------------- *
 * network.h                                                             *
 * --------------------------------------------------------------------- *
 * This file is part of the nebula irc client                            *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


int connectToServer(char *servName, int port);
void disconnectFromServer();
void readLine();
void sendLine(char *msg);

void doNick(char *nick);
void doUser(char *username, char *hostname, char *servername, char *realname);
void doPrivateMsg(char *recipient, char *message);
void doPong(char *dest);
void doJoin(char *chan);
void doPart(char *chan);
void doMode (char *recipient, char *option, char *limit, char *user, char *banmask);
void doWhois(char *nick);
void doCTCPVersion (char *recipient);
void doCTCPAction(char *recipient, char *message);
#include "copyright.h"
